Red Hat Satellite engineering is moving the tracking of its product development work on Satellite to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "Satellite project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs will be migrated starting at the end of May. If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "Satellite project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/SAT-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 1704816 - No visible progress during --upgrade-mongo-storage-engine
Summary: No visible progress during --upgrade-mongo-storage-engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installation
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.6.0
Assignee: Chris Roberts
QA Contact: Devendra Singh
URL: https://projects.theforeman.org/issue...
Whiteboard:
Depends On: 1731794
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-30 14:58 UTC by Evgeni Golov
Modified: 2019-10-22 19:51 UTC (History)
8 users (show)

Fixed In Version: foreman-installer-1.22.0.8-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-22 19:51:44 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 26746 0 None None None 2019-05-06 14:00:59 UTC
Github theforeman foreman-installer pull 352 0 None None None 2019-05-06 14:00:59 UTC

Description Evgeni Golov 2019-04-30 14:58:54 UTC
Description of problem:
When running satellite-installer  --upgrade-mongo-storage-engine, it will first dump the MongoDB database and then restore it with the new storage engine.

While restoring, it runs
 mongorestore --host localhost --db=pulp_database --drop --quiet --dir=/var/tmp/mongodb_engine_upgrade/pulp_database

And with --quiet there is zero output on the terminal. (There is during the dump phase).
As this step can easily take multiple hours, it'd be nice to see some progress, even if it's as badly formatted as the one during the dump


Version-Release number of selected component (if applicable):
6.5.0 Snap 26

How reproducible:
100%

Steps to Reproduce:
1. Install 6.3 (last one to default to MMAPv1 for new installs)
2. Upgrade to 6.4/6.5
3. satellite-installer  --upgrade-mongo-storage-engine

Actual results:
No output during restore

Expected results:
Output during restore

Additional info:
Just removing the --quiet should be sufficient

Comment 3 Bryan Kearney 2019-05-07 08:07:10 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26746 has been resolved.

Comment 6 Devendra Singh 2019-08-29 10:05:58 UTC
Verified this issue on 6.6 with the latest snap.
Verified point: 
* satellite version: satellite-6.6.0-6.el7sat.noarch
* foreman-installer version: foreman-installer-1.22.0.10-1.el7sat.noarch
* Mongodb upgrade completed successfully on 6.6 upgraded setup(6.3-->6.4-->6.5-->6.6)

#satellite-installer --upgrade-mongo-storage-engine
Starting disk space check for upgrade
Package versions are locked. Continuing with unlock.
....
.....
mongorestore --host localhost --db=pulp_database --drop --dir=/var/tmp/mongodb_engine_upgrade/pulp_database finished successfully!
...
...
Installing             Done                                               [100%] [................................................................................................................................]
Package versions are being locked.
  Success!


* File /var/tmp/mongodb_engine_upgrade did not exist after mongodb upgrade.
* There is no "quite" option in "mongorestore --host localhost --db=pulp_database --drop --dir=/var/tmp/mongodb_engine_upgrade/pulp_database"
* Now we can see proper progress.

Comment 8 Bryan Kearney 2019-10-22 19:51:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.